ドキュメントへ移動
ダッシュボードを開く
このページの内容

POST /oauth/register

OAuthはS256 PKCE、完全一致のリダイレクトURI、RESTとMCPの個別リソースを使用します。同意はTongで行い、更新トークンは使用のたびにローテーションします。

リクエスト例#

curl -X POST 'https://platform.tongai.io/oauth/register' \  -H "Content-Type: application/json" \  -d '{  "client_name": "example",  "redirect_uris": [    "https://your-app.example/events"  ],  "scope": "example"}'
設定
curl --version

認証#

none

パラメーター#

必須パラメーターはありません。

リクエスト本文#

application/json
client_namestring必須

最小文字数:1。

最大文字数:120。

redirect_urisstring[]必須

最小項目数:1。

最大項目数:10。

scopestring必須

最大文字数:3000。

token_endpoint_auth_methodstring任意
使用できる値"none"

既定値:"none"。

grant_typesstring[]任意

既定値:["authorization_code","refresh_token"]。

response_typesstring[]任意

既定値:["code"]。

レスポンススキーマ#

JSON
{  "client_id": "e8aa0a87-6cd9-42eb-975a-b72bf43218c8",  "client_name": "Your application",  "redirect_uris": [    "https://your-app.example/oauth/callback"  ],  "scope": "catalog:read operations:read",  "token_endpoint_auth_method": "none",  "grant_types": [    "authorization_code",    "refresh_token"  ],  "response_types": [    "code"  ]}

エラーと制限#

JSON
{  "error": "invalid_client_metadata"}